[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'FileUtil' (#lcl)

# FileIsWritable

FileIsWritable - checks if the supplied file name refers to a file that is writable

## Declaration

Source position: fileutil.pas line 57

`function FileIsWritable(`
`const AFilename: String`
`):Boolean;`

## Arguments

`AFilename` |  | The name of the file for checking

## Function result

Returns True if Write permission exists

## Description

FileIsWritable - checks if the supplied file name refers to a file that is writable

Checks file permissions in both Unix and Windows systems

The latest version of this document can be found at lazarus-ccr.sourceforge.net.